const { db } = require('../db/db-connect');
const logger = require('../utils/logger');
const globalService = require("../services/globalService");

async function createRc(data) {
    return await db.records.create('rc', data);
}

async function getRCbyId(id) {
    const criteria = { 
      filter: `id='${id}'`
    };    
    return globalService.fetchInfoByCriteria("rc", criteria);
}

module.exports = {
    createRc,
    getRCbyId
};